Create a crypto payout
curl --request POST \
--url https://api-prod.blaaiz.com/api/external/crypto/payouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"wallet_id": "wallet-id",
"amount": "100.000000",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123",
"network": "ETHEREUM_MAINNET",
"token": "USDC"
}
'import requests
url = "https://api-prod.blaaiz.com/api/external/crypto/payouts"
payload = {
"wallet_id": "wallet-id",
"amount": "100.000000",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123",
"network": "ETHEREUM_MAINNET",
"token": "USDC"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
wallet_id: 'wallet-id',
amount: '100.000000',
address: '0x742d35Cc6634C0532925a3b844Bc9e7595f6E123',
network: 'ETHEREUM_MAINNET',
token: 'USDC'
})
};
fetch('https://api-prod.blaaiz.com/api/external/crypto/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api-prod.blaaiz.com/api/external/crypto/payouts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"wallet_id\": \"wallet-id\",\n \"amount\": \"100.000000\",\n \"address\": \"0x742d35Cc6634C0532925a3b844Bc9e7595f6E123\",\n \"network\": \"ETHEREUM_MAINNET\",\n \"token\": \"USDC\"\n}"
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-prod.blaaiz.com/api/external/crypto/payouts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'wallet_id' => 'wallet-id',
'amount' => '100.000000',
'address' => '0x742d35Cc6634C0532925a3b844Bc9e7595f6E123',
'network' => 'ETHEREUM_MAINNET',
'token' => 'USDC'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"message": "Crypto payout initiated successfully.",
"data": {
"id": "transaction-id",
"reference": "CRYPTO-REF",
"status": "processing",
"wallet_id": "wallet-id",
"currency": "USDC",
"destination_currency": "USDC",
"rate": "1.00000000",
"amount": "100.000000",
"fee": "1.000000",
"net_amount": "99.000000",
"destination_amount": "99.000000",
"address": "0x742d35Cc6634C0532925a3b844Bc9e7595f6E123",
"network": "ETHEREUM_MAINNET"
}
}Crypto
Create a crypto payout
Send crypto to an external address. The source wallet must belong to your business. The address must not be a Blaaiz wallet address. The request needs approved KYB and an Idempotency-Key. Required scope: crypto-payout:create.
POST
/
api
/
external
/
crypto
/
payouts
Create a crypto payout
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
A unique key for this payout request.
Maximum string length:
255Body
application/json
The source crypto wallet ID.
The crypto amount. The minimum is 0.00000001. Send a string with up to 18 decimal places.
Pattern:
^[0-9]+(\.[0-9]{1,18})?$The external destination address.
Maximum string length:
255Available options:
BITCOIN_MAINNET, ETHEREUM_MAINNET, MATIC_MAINNET, BSC_MAINNET, TRON_MAINNET The token symbol for the selected network.
Maximum string length:
20Was this page helpful?
⌘I

